Skip to main content
POST
Post transactions to given account

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

accountId
string<biginteger>
required

The account id to post transactions to

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

The fields that you want to apply to your newly created transaction, these values will override the predefined template values

type
string
required

Transaction type

amount
number
required

Transaction amount. It is possible to post only amount which is equal or more than minimal currency unit (For example, for EUR, SEK, NOK minimal unit is 0,01)

currency
string
required

A valid ISO 4217 currency code

Pattern: [A-Z]{3}
Example:

"EUR"

text
string

Free input text

Maximum string length: 255
additionalInfo
additionalInfo · object
transactionDetails
string

Merchant name

Maximum string length: 255
date
string<date>

The date when transaction was posted at Enfuce in ISO-8601 date format (YYYY-MM-DD). Only one of date or postingDate can be used at a time. This field will always post a transaction even if this date is not valid.

postingDate
string<date>

The date when transaction was posted at Enfuce in ISO-8601 date format (YYYY-MM-DD). Only one of date or postingDate can be used at a time. When using this field an exception will be thrown if posting date is not valid. For a postingDate to be valid, it must be no later than the due date of the account's contract.

transactionDate
string<date>

The local date when the transaction was made in ISO-8601 date format (YYYY-MM-DD).

Response

Successful creation of transaction

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated